MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032115Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-02-04 22:592021-02-06 17:33
Reporterdpasukhi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032115: Data Exchange, STEP reader - Incorrect full path to file is not caught
DescriptionChecking for a non-existent file is incorrect in the current version of OCCT.
The recognition of the invalid file occurs only at the stage of Flex operation.
Fix file checking in the "StepFile_Read::90" is necessary to prevent the parsing of the invalid file.
Steps To ReproduceReadStep D D:/123.stp
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0032119verifiedbugmaster Coding Rules - eliminate msvc warning C4800 (implicit cast to bool) after fix for 32115 
child of 0031970verifiedbugmaster Data Exchange, STEP reader - parser syntax error messages are inaccessible 

-  Notes
(0098672)
git (administrator)
2021-02-05 13:04

Branch CR32115 has been created by dpasukhi.

SHA-1: 60d0bb108eff318f4a4b78f6b53466cf2d088ede


Detailed log of new commits:

Author: dpasukhi
Date: Fri Feb 5 13:05:22 2021 +0300

    0032115: Data Exchange, STEP reader - Incorrect full path to file is not caught
    
    Fixed a checking for a non-existent step file
(0098676)
dpasukhi (developer)
2021-02-05 16:15

Dear kgv,
please review CR32115.
No regressions, see:
http://occt-tests/CR32115-master-dpasukhi-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR32115-master-dpasukhi-OCCT/Windows-64-VC14/diff_summary.html [^]


Restart:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32115-master-dpasukhi/view/TESTING/job/CR32115-master-dpasukhi-OCCT-Debian80-64-opt-test-restart/HTML_20Report [^]

Fail = Bad | Fail. Therefore, there can be no regressions
(0098722)
bugmaster (administrator)
2021-02-06 14:16

Combination -
OCCT branch : IR-2021-02-05
master SHA - d918913f1cfa6df6852ccc3cab50aae2b5a29821
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-02-05 SHA - 7f3780c87f7b9ca7bc315437ae37fd3815a4316d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17801.74000000001 / 17781.070000000076 [+0.12%]
Products
Total CPU difference: 11522.820000000105 / 11527.24000000011 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 19371.578125 / 19391.0625 [-0.10%]
Products
Total CPU difference: 12882.46875 / 12836.03125 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098725)
git (administrator)
2021-02-06 14:29

Branch CR32115 has been deleted by inv.

SHA-1: 60d0bb108eff318f4a4b78f6b53466cf2d088ede

- Related Changesets
occt: master 00a72254
Timestamp: 2021-02-05 10:05:22
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0032115: Data Exchange, STEP reader - Incorrect full path to file is not caught

Fixed a checking for a non-existent step file
mod - src/StepFile/StepFile_Read.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-04 22:59 dpasukhi New Issue
2021-02-04 22:59 dpasukhi Assigned To => gka
2021-02-04 23:00 dpasukhi Relationship added child of 0031970
2021-02-05 13:04 dpasukhi Assigned To gka => dpasukhi
2021-02-05 13:04 git Note Added: 0098672
2021-02-05 16:15 dpasukhi Note Added: 0098676
2021-02-05 16:15 dpasukhi Assigned To dpasukhi => kgv
2021-02-05 16:15 dpasukhi Status new => resolved
2021-02-05 16:28 kgv Assigned To kgv => bugmaster
2021-02-05 16:28 kgv Status resolved => reviewed
2021-02-06 14:16 bugmaster Note Added: 0098722
2021-02-06 14:16 bugmaster Status reviewed => tested
2021-02-06 14:22 bugmaster Test case number => Not required
2021-02-06 14:24 bugmaster Changeset attached => occt master 00a72254
2021-02-06 14:24 bugmaster Status tested => verified
2021-02-06 14:24 bugmaster Resolution open => fixed
2021-02-06 14:29 git Note Added: 0098725
2021-02-06 17:33 kgv Relationship added parent of 0032119


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker